#include <QtGui>

#include "ogrewidget.h"

class MainWindow : public QMainWindow
{
Q_OBJECT

public:
    MainWindow()
    :ogreWidget(0)
    {
        ogreWidget = new OgreWidget;
        setCentralWidget(ogreWidget);
        
        QAction *closeAct = new QAction("Quitter", this);
        connect(closeAct, SIGNAL(triggered()), this, SLOT(close()));
        
        QAction *changeColorAct = new QAction("Changer la couleur de fond", this);
        connect(changeColorAct, SIGNAL(triggered()), this, SLOT(chooseBgColor()));
        
        QMenu *menu = menuBar()->addMenu("Divers");
        menu->addAction(changeColorAct);
        menu->addAction(closeAct);
    }

private slots:
    void chooseBgColor()
    {
        QColor c = QColorDialog::getColor();
        ogreWidget->setBackgroundColor(c);
    }

private:
    OgreWidget *ogreWidget;
};

#include "main.moc"

int main(int argc, char **argv)
{
    QApplication app(argc, argv);
    MainWindow window;
    window.show();
    return app.exec();
}
